Résolution des problèmes liés au Compositeur d’expérience avancé

Dans certains cas, des problèmes d’affichage peuvent se produire dans le Adobe Target compositeur d’expérience avancé (EEC).

Le compositeur d’expérience avancé ne charge pas une URL AQ interne non accessible sur une adresse IP publique.

Cela peut être résolu en plaçant sur la liste autorisée les adresses IP suivantes. Ces adresses IP sont destinées au serveur de l’Adobe utilisé pour le proxy du compositeur d’expérience avancé. Elles ne sont requises que pour la modification des activités. Les visiteurs de votre site n’ont pas besoin que ces adresses IP soient placées sur la liste autorisée.

Demandez à votre équipe informatique de placer sur la liste autorisée les adresses IP suivantes :

  • 34.253.100.20
  • 34.248.100.23
  • 52.49.228.246
  • 54.205.42.123
  • 107.22.177.39
  • 52.201.5.105
  • 52.193.211.177
  • 18.180.24.249
  • 52.194.154.154

Le message d’erreur suivant peut s’afficher dans Target:

Error: Your website domain (ISP) is blocking the [!UICONTROL Enhanced Experience Composer]. You can allowlist the [!UICONTROL Enhanced Experience Composer]'s IP addresses or turn off [!UICONTROL Enhanced Experience Composer] in [!UICONTROL Configure] > [!UICONTROL Page Delivery] menu.

Voici les raisons pour lesquelles ce message d’erreur s’affiche et les solutions pour corriger la situation :

  • **Problème :**le domaine de votre site web (FAI) bloque le compositeur d’expérience avancé.

    Solution : Placez sur la liste autorisée les adresses IP répertoriées ci-dessus.

  • Problème : Les adresses IP sont placées sur la liste autorisée mais votre site web ne prend pas en charge la version 1.2 de TLS. Target utilise actuellement la configuration par défaut de la version 1.2. Avant la version Target 18.4.1 (25 avril 2018), la configuration par défaut prenait en charge TLS 1.0. Pour plus d’informations, voir Modifications du chiffrement de TLS (Transport Layer Security).

    **Solution :**voir la question : Le compositeur d’expérience visuelle avancé ne se charge pas sur les pages sécurisées de mon site qui utilisent TLS 1.2.

Le compositeur d’expérience avancé ne se charge pas sur les pages sécurisées de mon site qui utilisent TLS 1.0. (Compositeur d’expérience avancé uniquement)

Le message d’erreur décrit ci-dessus dans "Le compositeur d’expérience visuelle avancé ne se charge pas sur les pages sécurisées de mon site" peut s’afficher. Si les adresses IP ci-dessus sont placées sur la liste autorisée mais que votre site web ne prend pas en charge la version 1.2 de TLS. Target utilise actuellement la configuration par défaut de la version 1.2. Avant Target 18.4.1 (25 avril 2018), la configuration par défaut prenait en charge TLS 1.0. Pour plus d’informations, voir Modifications du chiffrement de TLS (Transport Layer Security) Encryption3/>.

Pour vérifier la version TLS de votre site web en utilisant Firefox (les autres navigateurs suivent des étapes similaires) :

  1. Ouvrez le site web concerné dans Firefox.

  2. Cliquez sur l’icône Afficher les informations du site dans la barre d’adresse du navigateur.

  3. Cliquez sur Afficher les détails de la connexion > Plus d’informations.

  4. Examinez les informations de version TLS dans l’option Détails techniques :

  5. Si vous constatez que votre site web affiche TLS 1.0, reportez-vous à Modifications du chiffrement de TLS (Transport Layer Security) pour obtenir des informations sur la politique de prise en charge de TLS de Target. Pour remédier à la situation (valable jusqu’au 12 septembre 2018), contactez le Service d’assistance clientèle pour obtenir la configuration avec votre version TLS et du domaine.

Je reçois des messages de délai d’expiration ou des erreurs « accès refusé » lors du chargement de sites où un serveur proxy est activé. (Compositeur d’expérience avancé uniquement)

Assurez-vous que les adresses IP du serveur proxy ne sont pas bloquées dans votre environnement.

Sur cette page